# ResultSpriteGroup Struct Reference

Inheritance diagram for ResultSpriteGroup:

## Public Member Functions
| ResultSpriteGroup (SpriteID sprite, byte num_sprites)
| Creates a spritegroup representing a sprite number result.
SpriteID | GetResult () const
byte | GetNumResults () const
## Data Fields
SpriteID | sprite
byte | num_sprites

## Detailed Description

Definition at line 248 of file newgrf_spritegroup.h.

## Constructor & Destructor Documentation

ResultSpriteGroup::ResultSpriteGroup | ( | SpriteID | sprite,
|  | byte | num_sprites |
| ) |  |  | `[inline]`

Creates a spritegroup representing a sprite number result.

Parameters:

  | sprite | The sprite number.
  | num_sprites | The number of sprites per set.

Returns:
  A spritegroup representing the sprite number result.

Definition at line 255 of file newgrf_spritegroup.h.

The documentation for this struct was generated from the following file:

- src/newgrf_spritegroup.h